1 Reply Latest reply: Oct 27, 2011 10:48 AM by Kappy
MacDenney Level 1 Level 1 (0 points)

Lion can't be installed on a Macbook running 10.5.8 Leopard?


MacBook, Mac OS X (10.5.8)